package com.philisense.www.service.impl;


import com.philisense.www.dao.AreaDAO;
import com.philisense.www.service.AreaService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class AreaServiceImpl implements AreaService {

    @Autowired
    private AreaDAO areaDAO;

    @Override
    public int deleteByPrimaryKey(String id) {
        return areaDAO.deleteByPrimaryKey(id);
    }

    @Override
    public Map<String, Object> selectByPrimaryKey(String id) {
        return areaDAO.selectByPrimaryKey(id);
    }

    @Override
    public int insert(Map<String, Object> map) {
        return areaDAO.insert(map);
    }

    @Override
    public int update(Map<String, Object> map) {
        return areaDAO.update(map);
    }

    @Override
    public int deleteByMap(Map<String, Object> map) {
        return areaDAO.deleteByMap(map);
    }

    @Override
    public int updateByMap(Map<String, Object> map) {
        return areaDAO.updateByMap(map);
    }

    @Override
    public Map<String, Object> getOne(Map<String, Object> map) {
        return areaDAO.getOne(map);
    }

    @Override
    public List<Map<String, Object>> getAll(Map<String, Object> map) {
        return areaDAO.getAll(map);
    }

    @Override
    public List<Map<String, Object>> queryPage(Map<String, Object> map) {
        return areaDAO.queryPage(map);
    }

    @Override
    public int count(Map<String, Object> map) {
        return areaDAO.count(map);
    }

    @Override
    public void insertBatch(List<Map<String, Object>> list) {
        areaDAO.insertBatch(list);
    }

    @Override
    public void deleteBatch(List<Map<String, Object>> list) {
        areaDAO.deleteBatch(list);
    }

    @Override
    public void updateBatch(List<Map<String, Object>> list) {
        areaDAO.updateBatch(list);
    }

    @Override
    public List<Map<String, Object>> getAreaTreeByParentid(Map<String, Object> map) {
        return areaDAO.getAreaTreeByParentid(map);
    }

    @Override
    public List<Map<String, Object>> getAreaTreeByLevelCode(Map<String, Object> map) {
        return areaDAO.getAreaTreeByLevelCode(map);
    }

    @Override
    public int updateDropNode(Map<String, Object> map) {
        return areaDAO.updateDropNode(map);
    }

    @Override
    public void updateBatchLevelCode(Map<String, Object> map) {
        areaDAO.updateBatchLevelCode(map);
    }
}